package com.ruoyi.web.controller.image.segment;

import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: wrh
 * @createTime: 2024/12/17 16:50
 */
@RestController
@RequestMapping("/imageSeg")
public class ImageSegController {

    /**
     * 根据范围获取水域
     */
    @PostMapping("/water")
    public AjaxResult getWaterRegionByRange(String range) {
        return AjaxResult.success();
    }

    /**
     * 根据范围获取道路
     */
    @PostMapping("/road")
    public AjaxResult getRoadRegionByRange(String range) {
        return AjaxResult.success();
    }

}
